resource "contentful_contenttype" "{{RESOURCE_NAME}}" {
    name            = "{{CONTENT_TYPE_ID}}"
    description     = "{{DESCRIPTION}}"
    display_field   = "title"
    content_type_id = "{{CONTENT_TYPE_ID}}"

    space_id   = contentful_space.blog.id
    env_id     = contentful_environment.master.id
    depends_on = [contentful_environment.master]

    field {
        name     = "Title"
        id       = "title"
        type     = "Symbol"
        required = true
        validations = [
            local.field_validations.make_unique
        ]
    }

}